Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002944Piwigootherpublic2013.07.14 18:412013.11.03 14:55
Reportermistic100 
Assigned Tomistic100 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.5.2 
Target Version2.6.0beta2Fixed in Version2.6.0beta2 
Summary0002944: Performance issues when creating an album
Descriptionon Photos->Add

1. template file include/add_album.inc.tpl
When adding a new album we make to identical AJAX call to populate the two SELECT boxes, additionaly these SELECT are populated the "bad" way (jQuery.append() in a loop)

this is totally useless, we don't need to make these AJAX call, just append to new OPTION to existing ones

2. file include/photos_add_direct_process.inc.php
The same SQL is executed twice for retrieving slighty identical datas (only the selected item changes)

it would be better to init the add album SELECT by cloning the main one, and so make only one SQL query
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0007100)
mistic100 (developer)
2013.07.14 18:41

see http://fr.piwigo.org/forum/viewtopic.php?pid=203454#p203454 [^]
(0007101)
svn (reporter)
2013.07.14 18:43

[Subversion] r23944 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:2944 Performance issues when creating an album
(0007102)
svn (reporter)
2013.07.14 21:59

[Subversion] r23952 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:2944 Performance issues when creating an album
prepend new <option> instead of append
(0007219)
svn (reporter)
2013.11.03 14:55

[Subversion] r25312 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
bug 2944: r25280 broke the process on batch manager

- Issue History
Date Modified Username Field Change
2013.07.14 18:41 mistic100 New Issue
2013.07.14 18:41 mistic100 Status new => assigned
2013.07.14 18:41 mistic100 Assigned To => mistic100
2013.07.14 18:41 mistic100 browser => any
2013.07.14 18:41 mistic100 Web server => Apache 1.3.x
2013.07.14 18:41 mistic100 Note Added: 0007100
2013.07.14 18:43 svn Checkin
2013.07.14 18:43 svn Note Added: 0007101
2013.07.14 21:59 svn Checkin
2013.07.14 21:59 svn Note Added: 0007102
2013.08.14 23:07 mistic100 Status assigned => closed
2013.08.14 23:07 mistic100 Resolution open => fixed
2013.08.14 23:07 mistic100 Fixed in Version => 2.6.0beta2
2013.11.03 14:55 svn Checkin
2013.11.03 14:55 svn Note Added: 0007219


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker